#pragma once
#include"Arduino.h"
class LedWithMillis
{
private:
	int ledPin;

public:
	LedWithMillis();
	~LedWithMillis();
	void setup(int newledPin)
	{
		ledPin = newledPin;
		pinMode(ledPin, OUTPUT);
	}
	void setLedTime(int ledOn, int ledOff, bool highOrLowFirst)
	{
		if (highOrLowFirst)
		{
			digitalWrite(ledPin, ((millis() % (ledOn + ledOff) < ledOn)));
		}
		else
		{
			digitalWrite(ledPin, ((millis() % (ledOn + ledOff) > ledOff)));
		}
	}
	void setLedTimeAndChanceMillis(int sec, int ledOn, int ledOff, bool highOrLowFirst)
	{
		if (highOrLowFirst)
		{
			digitalWrite(ledPin, (((millis()+sec) % (ledOn + ledOff) < ledOn)));
		}
		else
		{
			digitalWrite(ledPin, (((millis() + sec) % (ledOn + ledOff) > ledOff)));
		}
	}
};

